"""Print list of repos from the service mapping file."""
import sys
import yaml
from typing import List, Dict, Any

sm: List[Dict[str, Any]] = []
with open(sys.argv[1], "r") as f:
    try:
        sm = yaml.safe_load(f).get("Mapping", [])
    except Exception as e:
        sm = []

repos: List[str] = []

for entry in sm:
    entry_repos = entry.get("Assets", {}).get("Code Repositories", [])
    repos = repos + entry_repos

print(" ".join(repos))
