#!/bin/sh
PATH=${PATH}:~/.local/bin
INPUT_DIR=${CODE_TO_BE_SCANNED_DIR_INSIDE:=/input_code}
RULES_DIR=${RULES_DIR:=/semgrep_rules}
REPORT_DIR=${REPORT_DIR_INSIDE:=/reports}
GIT_INFO_FILE=${GIT_INFO_FILE:=.git_info.csv}
FILTER_FILE=filter.yaml
SERVICE_MAPPING_FILE=service_mapping.yaml

# Scan all directories
for d in $(find ${INPUT_DIR}/* -prune -type d)
do
	FILE=$(basename "${d}")

	echo "Scanning ${FILE}"

	semgrep \
		scan \
		--metrics=off \
		--disable-version-check \
		--config="${RULES_DIR}" \
		--sarif \
		"${d}" > "${REPORT_DIR}/${FILE}.json"
done

# Analyse all SARIF files and produce reports
python3 analyse.py \
	--report-dir "${REPORT_DIR}" \
	--csv-file "${INPUT_DIR}/${GIT_INFO_FILE}" \
	--filter-file "${FILTER_FILE}" \
	--service-mapping "${INPUT_DIR}/${SERVICE_MAPPING_FILE}"
